com.strongloop.android.loopback.callbacks

## Class JsonArrayParser<T extends VirtualObject>

- java.lang.Object
- - com.strongloop.android.remoting.adapters.Adapter.JsonCallback
  - - com.strongloop.android.remoting.adapters.Adapter.JsonArrayCallback
    - - com.strongloop.android.loopback.callbacks.JsonArrayParser<T>

All Implemented Interfaces:
  Adapter.Callback

    public class JsonArrayParser<T extends VirtualObject>
    extends Adapter.JsonArrayCallback

### Constructor Summary

Constructors
Constructor and Description
`JsonArrayParser(Repository<T> repository, ListCallback<T> callback)`

### Method Summary

Methods
`void` `onError(java.lang.Throwable throwable)` The method invoked when an error occurs.
`void` `onSuccess(JSONArray response)` The method invoked when the call completes successfully and the response is a JSON array or `null` if the response string is "null".

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JsonArrayParser

    public JsonArrayParser(Repository<T> repository,
                   ListCallback<T> callback)

### Method Detail

#### onSuccess

    public void onSuccess(JSONArray response)

Description copied from class: `Adapter.JsonArrayCallback`
The method invoked when the call completes successfully and the response is a JSON array or `null` if the response string is "null".

Specified by:
  `onSuccess` in interface `Adapter.Callback`
Specified by:
  `onSuccess` in class `Adapter.JsonArrayCallback`
Parameters:
  `response` - The JSON array.

#### onError

    public void onError(java.lang.Throwable throwable)

Description copied from interface: `Adapter.Callback`
The method invoked when an error occurs.

Parameters:
  `throwable` - The Throwable.